API Guide Home (Online version only) |

# _pluginSendParams Struct Reference

Collaboration diagram for _pluginSendParams:

[legend]

## Detailed Description

Structure used for launch code MMPRO_PLUGIN_SEND_LAUNCHCODE.

Definition at line 142 of file PalmVMPlugin.h.

## Data Fields

- Char * MIMEtype
- Char * fileExt
- DmOpenRef db
- int selectedItem
- void * selectedDescriptor
- char * item
- char * name
- char * ptr
- ULong size
- UInt numDataLinks
- dataLinks * moreData
- UInt32 ret
- Char Unused [50]

## Field Documentation

Char* MIMEtype

[in] attachment MIME type

Definition at line 144 of file PalmVMPlugin.h.

Char* fileExt

[in] attachment file extention

Definition at line 145 of file PalmVMPlugin.h.

DmOpenRef db

[in]reference to open database for large memory allocations

Definition at line 147 of file PalmVMPlugin.h.

int selectedItem

[in] item number that was selected

Definition at line 148 of file PalmVMPlugin.h.

void* selectedDescriptor

[in] descriptor of item that was selected

Definition at line 149 of file PalmVMPlugin.h.

char* item

[in] the item selected

Definition at line 150 of file PalmVMPlugin.h.

char* name

[out] name of the attachment file

Definition at line 151 of file PalmVMPlugin.h.

char* ptr

[out] attachment rendered and ready to send! this memory will be freed by MMPRO

Definition at line 152 of file PalmVMPlugin.h.

ULong size

[out] size of attachment above

Definition at line 154 of file PalmVMPlugin.h.

UInt numDataLinks

[out] number of data links

Definition at line 156 of file PalmVMPlugin.h.

dataLinks* moreData

[out] ptr to data links

Definition at line 157 of file PalmVMPlugin.h.

UInt32 ret

[out] return code for error handling and special cases;

Definition at line 158 of file PalmVMPlugin.h.

Char Unused[50]

unused space for future releases

Definition at line 159 of file PalmVMPlugin.h.

Top | Palm Developer Network © 2004-2008, Palm, Inc. All rights reserved. Generated on Fri Jun 13 10:08:10 2008 for Palm API Guide